<?xml version="1.0" encoding="utf-8"?>
<android.support.v4.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawer_layout"
    android:layout_height="match_parent"
    android:layout_width="match_parent"
    android:fitsSystemWindows="true">

    <android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/main_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true">

        <android.support.design.widget.AppBarLayout
            android:id="@+id/appBarLayout"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:fitsSystemWindows="true"
            android:elevation="@dimen/toolbar_elevation"
            android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

            <android.support.design.widget.CollapsingToolbarLayout
                android:id="@+id/collapsing_toolbar"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true"
                app:contentScrim="?attr/colorPrimary"
                app:expandedTitleMarginEnd="64dp"
                app:expandedTitleMarginStart="48dp"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <android.support.v7.widget.Toolbar
                    android:id="@+id/toolbar"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    app:layout_collapseMode="pin"
                    app:popupTheme="@style/ThemeOverlay.AppCompat.Light">

                    <RelativeLayout
                        android:layout_width="365dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:translationX="-20dp"
                        android:paddingRight="5dp"
                        android:layout_marginTop="20dp"
                        android:background="@color/colorPrimary"
                        android:layout_weight="0"
                        android:backgroundTint="#a43f50b5">

                        <ImageButton
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:id="@+id/menu"
                            android:src="@drawable/ic_storage_24dp"
                            android:background="#00ffffff"
                            android:layout_marginLeft="22dp"
                            android:contentDescription="@string/Menu"
                            android:layout_marginStart="22dp"
                            android:layout_alignTop="@+id/imageView"
                            android:layout_alignParentLeft="true"
                            android:layout_alignParentStart="true"
                            android:nestedScrollingEnabled="false" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:text="@string/preferences"
                            android:textSize="28sp"
                            android:enabled="true"
                            android:gravity="right"
                            android:layout_marginRight="35dp"
                            android:textColor="#FFFFFF"
                            android:layout_marginTop="-5dp" />

                    </RelativeLayout>

                </android.support.v7.widget.Toolbar>

            </android.support.design.widget.CollapsingToolbarLayout>

        </android.support.design.widget.AppBarLayout>

        <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">



        </android.support.v4.widget.NestedScrollView>

        <FrameLayout
            android:id="@+id/fab_rootLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <android.support.design.widget.FloatingActionButton
                android:layout_width="65dp"
                android:layout_height="65dp"
                android:layout_gravity="bottom|right"
                android:src="@drawable/ic_home"
                app:borderWidth="0dp"
                app:elevation="20dp"
                app:fabSize="normal"
                app:pressedTranslationZ="12dp"
                app:rippleColor="@android:color/white"
                android:onClick="onButtonHomeClick"
                android:layout_marginRight="-15dp"
                android:layout_marginBottom="-20dp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="left|bottom">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textAppearance="?android:attr/textAppearanceMedium"
                    android:text="@string/ingredients_preferences"
                    android:labelFor="@id/mySpinner"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:id="@+id/textView2"
                    android:layout_alignParentTop="true"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_marginTop="120dp" />

                <com.cocktailplease.anthony.cocktailplease.MultiSelectionSpinner
                    android:id="@+id/mySpinner"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:longClickable="true"
                    android:transitionGroup="false"
                    android:dropDownSelector="@android:drawable/arrow_down_float"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:layout_below="@+id/textView2"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_marginTop="23dp" />

                <Button
                    android:id="@+id/reset_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="top"
                    android:text="@string/reset"
                    android:layout_marginLeft="58dp"
                    android:layout_marginStart="58dp"
                    android:layout_marginTop="56dp"
                    android:layout_below="@+id/mySpinner"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true" />

                <Button
                    android:id="@+id/submit_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="top"
                    android:text="@string/submit"
                    android:layout_alignWithParentIfMissing="true"
                    android:layout_marginLeft="78dp"
                    android:layout_marginStart="78dp"
                    android:backgroundTint="#00a5fe"
                    android:layout_alignTop="@+id/reset_btn"
                    android:layout_toRightOf="@+id/reset_btn"
                    android:layout_toEndOf="@+id/reset_btn" />

            </RelativeLayout>

        </FrameLayout>

    </android.support.design.widget.CoordinatorLayout>

    <android.support.design.widget.NavigationView
        android:id="@+id/navigationView"
        android:layout_height="match_parent"
        android:layout_width="wrap_content"
        android:layout_gravity="start"
        android:fitsSystemWindows="true"
        app:headerLayout="@layout/navigation_view_header"
        app:menu="@menu/navigation_view_elements"/>

</android.support.v4.widget.DrawerLayout>
